请选择 进入手机版 | 继续访问电脑版

NX二次开发

 找回密码
 立即注册
查看: 1204|回复: 3

[技术分享] SolidEdge二次开发-修改变量值(表达式)的实现方法!

[复制链接]

558

主题

755

帖子

3518

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3518
发表于 2017-7-21 11:04:52 | 显示全部楼层 |阅读模式
3D软件的二次开发,基本离不开以下几个套路;
1、进入到人家开放的接口,也可以理解成是注册;
2、得在会话窗口操作,包括不同的模块,例如:建模,制图,装配等;
3、活动部件操作,NX叫工作部件,SolidEdge里面叫ActiveDocument
4、操作你具体想做的事;
5、退出注册;
-----------------------
找到会话窗口一般为:
  1. SolidEdgeFramework.Application application = null;
  2. application = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");
复制代码
获取活动部件为:
  1. SolidEdgePart.PartDocument part = null;
  2. part = (SolidEdgePart.PartDocument)application.ActiveDocument;
复制代码
获取变量的collection为:
  1. SolidEdgeFramework.Variables variables = null;
  2. variables = (SolidEdgeFramework.Variables)part.Variables;//得到当前部件变量collection
复制代码
修改变量为:(变量在NX中叫表达式,在proe里面叫关系式)
游客,如果您要查看本帖隐藏内容请回复






回复

使用道具 举报

3

主题

8

帖子

80

积分

基础学员

Rank: 3Rank: 3

积分
80
发表于 2017-8-1 13:07:13 | 显示全部楼层
跟着唐工走,工作不费力
回复 支持 反对

使用道具 举报

0

主题

108

帖子

1149

积分

飞龙在天

Rank: 6Rank: 6

积分
1149
发表于 2018-2-5 17:06:36 | 显示全部楼层
我用的是SE st7
回复 支持 反对

使用道具 举报

0

主题

6

帖子

23

积分

潜龙勿用

Rank: 1

积分
23
发表于 2018-7-25 10:19:22 | 显示全部楼层
学习学习
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-12-16 02:50 , Processed in 0.080153 second(s), 22 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表